Package org.linphone.core

# Enum Class Friend.Capability

java.lang.Object
java.lang.Enum<Friend.Capability>
org.linphone.core.Friend.Capability

All Implemented Interfaces:
  `Serializable`, `Comparable<Friend.Capability>`, `Constable`

Enclosing interface:
  `Friend`

public static enum Friend.Capability extends Enum<Friend.Capability>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EphemeralMessages`
This friend is able to delete ephemeral messages once they have expired.
`GroupChat`
This friend can be invited in a Flexisip backend `ChatRoom`.
`LimeX3Dh`
This friend can be invited in a Flexisip backend end-to-end encrypted `ChatRoom`
.
`None`
No capabilities populated.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Friend.Capability`
`fromInt(int value)`
`int`
`toInt()`
`static Friend.Capability`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Friend.Capability[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final Friend.Capability None
No capabilities populated.

### GroupChat

public static final Friend.Capability GroupChat
This friend can be invited in a Flexisip backend `ChatRoom`.

### LimeX3Dh

public static final Friend.Capability LimeX3Dh
This friend can be invited in a Flexisip backend end-to-end encrypted `ChatRoom`
.

### EphemeralMessages

public static final Friend.Capability EphemeralMessages
This friend is able to delete ephemeral messages once they have expired.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Friend.Capability[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Friend.Capability valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Friend.Capability fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()